StackedLogoPainter (BioJava-1.5-beta API)
Keywords: org.biojava.bio.gui.StackedLogoPainter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.gui
Class StackedLogoPainter

    java.lang.Object
      org.biojava.bio.gui.StackedLogoPainter

All Implemented Interfaces:
  LogoPainter

    public class StackedLogoPainter

extends Object
implements LogoPainter

A logo painter that paints in stacked areas.

Author:
  Matthew Pocock

Constructor Summary
`StackedLogoPainter()`

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener listener)`
`void` | `addPropertyChangeListener(String propertyName, PropertyChangeListener listener)`
`void` | `firePropertyChange(PropertyChangeEvent evt)`
`void` | `firePropertyChange(String propertyName, boolean oldValue, boolean newValue)`
`void` | `firePropertyChange(String propertyName, int oldValue, int newValue)`
`void` | `firePropertyChange(String propertyName, Object oldValue, Object newValue)`
`boolean` | `hasListeners(String propertyName)`
`void` | `paintLogo(LogoContext lCtxt)` Render the state from sl onto the graphics object g.
`void` | `removePropertyChangeListener(PropertyChangeListener listener)`
`void` | `removePropertyChangeListener(String propertyName, PropertyChangeListener listener)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StackedLogoPainter

    public StackedLogoPainter()

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(PropertyChangeListener listener)

### removePropertyChangeListener

    public void removePropertyChangeListener(PropertyChangeListener listener)

### addPropertyChangeListener

    public void addPropertyChangeListener(String propertyName,
                                          PropertyChangeListener listener)

### removePropertyChangeListener

    public void removePropertyChangeListener(String propertyName,
                                             PropertyChangeListener listener)

### firePropertyChange

    public void firePropertyChange(String propertyName,
                                   Object oldValue,
                                   Object newValue)

### firePropertyChange

    public void firePropertyChange(String propertyName,
                                   int oldValue,
                                   int newValue)

### firePropertyChange

    public void firePropertyChange(String propertyName,
                                   boolean oldValue,
                                   boolean newValue)

### firePropertyChange

    public void firePropertyChange(PropertyChangeEvent evt)

### hasListeners

    public boolean hasListeners(String propertyName)

### paintLogo

    public void paintLogo(LogoContext lCtxt)

  Description copied from interface: `LogoPainter`
  Render the state from sl onto the graphics object g.

  Specified by:
    `paintLogo` in interface `LogoPainter`
  Parameters:
    `lCtxt` - the LogoContext to render

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD